/*
 *	FileMenuCB()	-	callback routine for File Menu items
 *
 *	RCS:
 *		$Revision$
 *		$Date$
 *
 *	Security:
 *		Unclassified
 *
 *	Description:
 *		text
 *
 *	Input Parameters:
 *		type	identifier	description
 *
 *		text
 *
 *	Output Parameters:
 *		type	identifier	description
 *
 *		text
 *
 *	Return Values:
 *		value	description
 *
 *	Side Effects:
 *		text
 *
 *	Limitations and Comments:
 *		text
 *
 *	Development History:
 *		when	who		why
 *	10/29/94	muquit	first cut
 */

#include "xhead.h"
#include "xsf.h"
#include "defines.h"

void FileMenuCB (widget, client_data, call_data)
Widget
	widget;
XtPointer
	client_data;
XtPointer
	call_data;
{
	switch ((int) client_data)
	{
		case FILE_OPEN:
		{
			break;
		}

		case QUIT:
		{
			char
				*s = (char *) NULL;

			s = XmTextGetString (GfontTextW);
			if ((int) strlen(s) != 0)
				(void) fprintf(stderr,"\n%s\n\n", s);

			if (s != (char *) NULL)
				(void) free ((char *) s);
			exit(1);
		}

		default:
		{
			Warning("FileMenuCB():", "Invalid client_data");
		}
	}
}
