/*
 *	menus.h	-	contains some structures regarding menus
 *
 *	RCS:
 *		$Revision$
 *		$Date$
 *
 *	Security:
 *		Unclassified
 *
 *	Description:
 *		text
 *
 *	Dependencies:
 *		file1.h
 *
 *	Comments:
 *		text
 *
 *	Development History:
 *		when	who					why
 *	10/29/94	muquit@semcor.com	first cut
 */

#ifndef MENUS_H
#define MENUS_H

typedef struct _ToggleMenu
{
	char
		*name;
	char
		mnemonic;
	char
		set;
	XtCallbackProc
		func;
	XtPointer
		data;
} ToggleMenu;

typedef struct _PushMenu
{
	char
		*name;
	char
		mnemonic;
	XtCallbackProc
		func;
	XtPointer
		data;
} PushMenu;

WidgetList
	CreateMenuPane _D ((Widget, char *,  PushMenu *, Cardinal));

#endif	/*MENUS_H*/
