/*
 *	xgm.h
 *
 *	RCS:
 *		$Revision$
 *		$Date$
 *
 *	Security:
 *		Unclassified
 *
 *	Description:
 *		text
 *
 *	Dependencies:
 *		file1.h
 *
 *	Comments:
 *		text
 *
 *	Development History:
 *		when	who					why
 *	10/29/94	muquit@semcor.com	first cut
 */

#ifndef XCGM_H
#define XCGM_H

#define VERSION "xshowcgm 1.1.0"

/*
** include the debug malloc library header
*/

#ifdef Debug_Malloc
#include </home2/local/debug_include/malloc.h>
#ifndef _DEBUG_MALLOC_INC
#define malloc_enter(func)
#define malloc_leave(func)
#define malloc_chain_check()
#define malloc_dump(fd)
#define malloc_list (a,b,c)
#define malloc_inuse(hist)	(*hist)=0,0)
#endif	/* _DEBUG_MALLOC_INC */
#endif	/* Debug_Malloc */


#ifndef MAIN
#define EXTERN extern
#else
#define EXTERN
#endif	/* MAIN */

#if __STDC__ || defined(sgi) || defined(_AIX)
#define _D(formal_parameters) formal_parameters
#else
#define const
#define _D(forma_parameters) ()
#endif	/* __STDC__ */

/*
** globals
*/

	EXTERN Display
		*Gdisplay;

	EXTERN GC
		Ggc;

	EXTERN unsigned long
		GblackPixel,
		GwhitePixel;

	EXTERN
		String GscbBgcolor;

/*
** global Widget Array
*/

EXTERN Widget
    GtoplevelW,
    GmainwW,
    GformW,
    GfontListW,
    GfontLabW,
    GfontTextW;

EXTERN XmFontList
    Gfontlist;
/*
** Function Prototypes
*/

Widget CreateMainWIndow _D ((Widget));
void FileMenuCB _D ((Widget, XtPointer, XtPointer));
void UnmanageCB _D ((Widget, XtPointer, XtPointer));
void Error _D ((char *, char *));
void Warning  _D ((char *, char *));
GC MakeGC _D ((Display *, Drawable, unsigned long, unsigned long));
XFontStruct *LoadFont _D ((Display *, char *));
unsigned int AllocateNamedColor _D ((Display *, char *));
void SetScrollbarColors _D ((Widget, Widget, Pixel));
int XError _D ((Display*, XErrorEvent *));
void SelectCB _D ((Widget, XtPointer, XtPointer));
int mystrcasecmp _D ((char *, char *));
int mystrncasecmp _D ((char *, char *, int));
char *mystrcpy _D ((char *, char *));
char *mystrstrcase _D ((char *, char *));
char *mystrdup _D((char *));
void SetResources _D((Widget));
void MakeFontList _D((void));
int FontCompare _D((void *, void *));

	
#endif	/*XCGM_H*/
